Index: /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 637)
+++ /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 638)
@@ -26,14 +26,19 @@
 $lang['_SBG_USER_LOGIN_FAIL_MSG'] = 'ThÃŽng tin ÄÄng nháº­p khÃŽng chÃ­nh xÃ¡c!';
 $lang['_SBG_USER_REGISTER_MSG'] = '<p>Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n trÃªn há» thá»ng Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n (SBG Online), QuÃœ vá» hÃ£y soáº¡n tin nháº¯n theo cÃº phÃ¡p: <strong>SBG DK</strong> gá»­i tá»i<strong> 8062</strong> (500Ä/tin).</p>
-								<p>Sau khi nháº­n ÄÆ°á»£c tin nháº¯n ÄÄng kÃ­ tÃ i khoáº£n cá»§a QuÃœ vá», há» thá»ng SBG Online sáºœ gá»­i láº¡i thÃŽng tin ÄÄng nháº­p vÃ o Äiá»n thoáº¡i cá»§a QuÃœ vá».</p>
+								<p>Sau khi nháº­n ÄÆ°á»£c tin nháº¯n ÄÄng kÃœ tÃ i khoáº£n cá»§a QuÃœ vá», há» thá»ng SBG Online sáºœ gá»­i láº¡i thÃŽng tin ÄÄng nháº­p vÃ o Äiá»n thoáº¡i cá»§a QuÃœ vá».</p>
 								<p>Náº¿u ÄÃ£ nháº­n ÄÆ°á»£c thÃŽng tin ÄÄng nháº­p há» thá»ng SBG Online gá»­i tá»i Äiá»n thoáº¡i cá»§a mÃ¬nh, QuÃœ vá» hÃ£y Äiá»n thÃŽng tin vÃ  nháº¥n vÃ o <strong>ÄÄng nháº­p</strong> Äá» ÄÄng nháº­p vÃ o há» thá»ng.</p>
-								<p>Náº¿u cÃ³ vÆ°á»ng máº¯c gÃ¬ vá» viá»c ÄÄng kÃ­, QuÃœ vá» hÃ£y gá»i sá» <strong>01662860000</strong> Äá» ÄÆ°á»£c há» trá»£.</p>';
-$lang['_SBG_USER_PASSWORD_RECOVERY_MSG'] = '<p>Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃœ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062 </strong>(500Ä/tin).</p>';
-$lang['_SBG_USER_PASSWORD_CHANGE_REQUIRED_MSG'] = 'Máº­t kháº©u Ã­t nháº¥t lÃ  6 kÃ­ tá»±, vÃ  chá» chá»©a cÃ¡c kÃ­ tá»± sá» hoáº·c chá»¯, <br> khÃŽng chá»©a khoáº£ng tráº¯ng vÃ  khÃŽng chá»©a kÃœ tá»± Äáº·c biá»t!';
+								<p>Náº¿u cÃ³ vÆ°á»ng máº¯c gÃ¬ vá» viá»c ÄÄng kÃœ, QuÃœ vá» hÃ£y gá»i sá» <strong>01662860000</strong> Äá» ÄÆ°á»£c há» trá»£.</p>';
+$lang['_SBG_USER_PASSWORD_RECOVERY_MSG'] = '<p>Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃœ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃœ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062 </strong>(500Ä/tin).</p>';
+$lang['_SBG_USER_PASSWORD_CHANGE_REQUIRED_MSG'] = 'Máº­t kháº©u Ã­t nháº¥t lÃ  6 kÃœ tá»±, vÃ  chá» chá»©a cÃ¡c kÃœ tá»± sá» hoáº·c chá»¯, <br> khÃŽng chá»©a khoáº£ng tráº¯ng vÃ  khÃŽng chá»©a kÃœ tá»± Äáº·c biá»t!';
 $lang['_SBG_USER_PHONENUM_CHANGE_MSG'] = '<p>QuÃœ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, QuÃœ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin).</p>';
-$lang['_SBG_USER_UNREGISTERING_SERVICE_MSG'] = 'QuÃœ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.';
+$lang['_SBG_USER_PASSWORD_CHANGE_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ Äá»i máº­t kháº©u thÃ nh cÃŽng !';
+$lang['_SBG_USER_UPDATE_INFO_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!';
+$lang['_SBG_USER_INFO_MSG'] = 'QuÃœ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» vÃ  tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n.';
+$lang['_SBG_USER_FULLNAME_NOT_CHANGE_MSG'] = 'ThÃŽng tin Há» tÃªn sáºœ khÃŽng thá» thay Äá»i sau khi QuÃœ vá» ÄÄng kÃœ Sá»­ dá»¥ng dá»ch vá»¥.';
+$lang['_SBG_USER_INFO_REQUIRED_MSG'] = 'QuÃœ vá» hÃ£y nháº­p thÃŽng tin cÃ¡ nhÃ¢n Äá» cÃ³ thá» sá»­ dá»¥ng dá»ch vá»¥.';
+$lang['_SBG_USER_UNREGISTERING_SERVICE_MSG'] = 'QuÃœ vá» chÆ°a ÄÄng kÃœ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃœ.';
 
-$lang['_SBG_ACC_BALANCE_LESS_PACKAGE_PRICE_MSG'] = 'Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃœ vá» lÃ  :acc_balanced: Äá»ng.<br /> Äá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n, QuÃœ vá» cáº§n náº¡p thÃªm tiá»n vÃ o tÃ i khoáº£n.';
-$lang['_SBG_REGISTER_VIP_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ ÄÄng kÃ­ sá»­ dá»¥ng CÃŽng cá»¥ Soáº¡n BÃ i giáº£ng trá»©c tuyáº¿n. QuÃœ vá» ÄÆ°á»£c sá»­ dá»¥ng dá»ch vá»¥ Äáº¿n háº¿t ngÃ y :period:';
+$lang['_SBG_ACC_BALANCE_LESS_PACKAGE_PRICE_MSG'] = 'Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃœ vá» lÃ  :acc_balanced: Äá»ng.<br /> Äá» ÄÄng kÃœ Sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n, QuÃœ vá» cáº§n náº¡p thÃªm tiá»n vÃ o tÃ i khoáº£n.';
+$lang['_SBG_REGISTER_VIP_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ ÄÄng kÃœ sá»­ dá»¥ng CÃŽng cá»¥ Soáº¡n BÃ i giáº£ng trá»©c tuyáº¿n. QuÃœ vá» ÄÆ°á»£c sá»­ dá»¥ng dá»ch vá»¥ Äáº¿n háº¿t ngÃ y :period:';
 $lang['_SBG_CHARGING_FROM_CARD_SUCCESS_MSG'] = 'QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng :amount: VNÄ vÃ o tÃ i khoáº£n :username:, tÃ i khoáº£n áº£o cá»§a QuÃœ vá» lÃ  :acc_balanced: VNÄ';
 $lang['_SBG_CHARGING_FROM_CARD_LOCKED_MSG'] = 'QuÃœ vá» ÄÃ£ nháº­p sai thÃŽng tin tháº» cÃ o :maxReach: láº§n liÃªn tiáº¿p.<br />Xin chá» :timeToUnlock: phÃºt sau Äá» thao tÃ¡c láº¡i!';
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 637)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 638)
@@ -10,6 +10,10 @@
                 <?php if ($can_buy == 0) { ?>
                     <div class="alert alert-block alert-success">	
-                        Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃœ vá» lÃ  <?php echo $user['acc_balanced']; ?> Äá»ng.<br />
-                        TÃ i khoáº£n chÃ­nh cá»§a QuÃœ vá» khÃŽng Äá»§ Äá» ÄÄng kÃ­ sá»­ dá»¥ng cÃŽng cá»¥ Soáº¡n BÃ i Giáº£ng trá»±c tuyáº¿n trÃªn soanbaigiang.smas.vn. HÃ£y náº¡p thÃªm tiá»n vÃ  ÄÄng kÃ­ láº¡i. Cáº£m Æ¡n!
+                        <!--Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃœ vá» lÃ  <?php echo $user['acc_balanced']; ?> Äá»ng.<br />
+                        TÃ i khoáº£n chÃ­nh cá»§a QuÃœ vá» khÃŽng Äá»§ Äá» ÄÄng kÃ­ sá»­ dá»¥ng cÃŽng cá»¥ Soáº¡n BÃ i Giáº£ng trá»±c tuyáº¿n trÃªn soanbaigiang.smas.vn. HÃ£y náº¡p thÃªm tiá»n vÃ  ÄÄng kÃ­ láº¡i. Cáº£m Æ¡n!-->
+						<?php
+							$aryPatterns = array('/:acc_balanced:/');
+							echo preg_replace($aryPatterns, array($user['acc_balanced']), lang('_SBG_ACC_BALANCE_LESS_PACKAGE_PRICE_MSG'));
+						?>
                     </div>
                 <?php } ?> 
@@ -44,5 +48,5 @@
                         LÆ°u Ãœ:
                         <ul> 
-                        <li>QuÃœ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n. </li><li>ThÃŽng tin Há» tÃªn sáºœ khÃŽng thá» thay Äá»i sau khi QuÃœ vá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥.</li>
+                        <li><?php echo lang('_SBG_USER_INFO_MSG'); ?></li><li><?php echo lang('_SBG_USER_FULLNAME_NOT_CHANGE_MSG'); ?></li>
                         </ul>
 <?php } ?>
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php	(revision 637)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php	(revision 638)
@@ -10,5 +10,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃœ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.
+								<?php echo lang('_SBG_USER_UNREGISTERING_SERVICE_MSG'); ?>
 							</p>
 						</div>
@@ -35,5 +35,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃœ vá» chÆ°a ÄÄng kÃ­ sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online. QuÃœ vá» cÃ³ thá» dÃ¹ng thá»­ dá»ch vá»¥ Soáº¡n BÃ i giáº£ng online trÆ°á»c khi ÄÄng kÃ­.
+								<?php echo lang('_SBG_USER_UNREGISTERING_SERVICE_MSG'); ?>
 							</p>
 						</div>
@@ -134,5 +134,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃœ vá» cáº§n Äiá»n Äáº§y Äá»§ Há» vÃ  tÃªn chÃ­nh xÃ¡c báº±ng tiáº¿ng Viá»t cÃ³ dáº¥u, cÃ¡c tÃªn ÄÆ¡n vá» sáºœ khÃŽng ÄÆ°á»£c cháº¥p nháº­n.
+								<?php echo lang('_SBG_USER_INFO_MSG'); ?>
 							</p>
 						</div>
@@ -176,5 +176,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								QuÃœ vá» hÃ£y nháº­p thÃŽng tin cÃ¡ nhÃ¢n Äá» cÃ³ thá» sá»­ dá»¥ng dá»ch vá»¥.
+								<?php echo lang('_SBG_USER_INFO_REQUIRED_MSG'); ?>
 							</p>
 						</div>
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 637)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 638)
@@ -349,22 +349,4 @@
 </div>
 
-<div class="modal fade" id="alert-payment" tabindex="-1" role="dialog"aria-hidden="true">
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header">
-                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-                <h4 class="modal-title">ThÃŽng bÃ¡o dá»ch vá»¥</h4>
-            </div>
-            <div class="modal-body">
-                <div class="alert alert-block alert-success">						
-                    <p>
-                        QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VNÄ vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a QuÃœ vá» lÃ  <b>20.000 </b>VNÄ.
-                    </p>
-                </div>
-            </div>
-        </div>
-    </div>
-</div>
-
 <div class="modal fade" id="package_register_modal" tabindex="-1" role="dialog"aria-hidden="true">
     <div class="modal-dialog">
@@ -392,7 +374,5 @@
 				<div class="modal-body">
 				<div class="alert alert-block alert-success">						
-					<p>
-						QuÃœ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, QuÃœ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin).
-					</p>
+					<?php echo lang('_SBG_USER_PHONENUM_CHANGE_MSG'); ?>
 				</div>
 			</div>
@@ -409,5 +389,5 @@
 			</div>
 			<div class="modal-body">
-				<div class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ Äá»i máº­t kháº©u thÃ nh cÃŽng !</center></div>
+				<div class="alert alert-block alert-success"><center><?php echo lang('_SBG_USER_PASSWORD_CHANGE_SUCCESS_MSG'); ?></center></div>
 				<center><button class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
 			</div>
@@ -425,5 +405,5 @@
 			</div>
 			<div class="modal-body">
-				<div class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
+				<div class="alert alert-block alert-success"><center><?php echo lang('_SBG_USER_UPDATE_INFO_SUCCESS_MSG'); ?><center></div>
 				<center><button id="close" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
 			</div>
@@ -441,5 +421,5 @@
 			</div>
 			<div class="modal-body">
-				<div id="success_package_register_content" class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
+				<div id="success_package_register_content" class="alert alert-block alert-success"><center></center></div>
 				<center><button id="package_register_finish_button" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
 			</div>
@@ -457,5 +437,5 @@
 			</div>
 			<div class="modal-body">
-				<div id="success_charge_info" class="alert alert-block alert-success"><center>QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng [SoTien] vÃ o tÃ i khoáº£n <?php echo $username; ?>, tÃ i khoáº£n áº£o cá»§a QuÃœ vá» lÃ  [TaiKhoanAO]!</center></div>
+				<div id="success_charge_info" class="alert alert-block alert-success"><center></center></div>
 				<center><button id="package_register_finish_button" data-dismiss="modal" class="btn btn-primary" >ÄÃ³ng</button></center>
 			</div>
Index: /pro-violet-viettel/sourcecode/assets/js/frontend/user.js
===================================================================
--- /pro-violet-viettel/sourcecode/assets/js/frontend/user.js	(revision 637)
+++ /pro-violet-viettel/sourcecode/assets/js/frontend/user.js	(revision 638)
@@ -152,6 +152,6 @@
 			if(result.success == "1")
 			{
-				$("#success_charge").find('#success_charge_info').text("QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng " + result.amount + " VNÄ vÃ o tÃ i khoáº£n " + result.username + ", tÃ i khoáº£n áº£o cá»§a QuÃœ vá» lÃ  " + result.acc_balanced + " VNÄ!");
-				//$("#success_charge").find('#success_charge_info').text(result.message);
+				//$("#success_charge").find('#success_charge_info > center').text("QuÃœ vá» ÄÃ£ náº¡p thÃ nh cÃŽng " + result.amount + " VNÄ vÃ o tÃ i khoáº£n " + result.username + ", tÃ i khoáº£n áº£o cá»§a QuÃœ vá» lÃ  " + result.acc_balanced + " VNÄ!");
+				$("#success_charge").find('#success_charge_info > center').text(result.message);
 				$("#success_charge").modal('show');
 				$("#vip-regis-money").text(addCommas(result.acc_balanced));