Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 642)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 643)
@@ -387,5 +387,6 @@
 			$packagelogs = array();
 			foreach ($result as $packagelog):
-				$packagelog['created_time'] = date('d-m-Y H:i:s', strtotime($packagelog['created_time']));
+				$packagelog['vip_name'] = 'VIP '.$packagelog['p_code'];
+				$packagelog['created_time'] = date('d/m/Y H:i:s', strtotime($packagelog['created_time']));
 				array_push($packagelogs, $packagelog);
 			endforeach;
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 642)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 643)
@@ -244,5 +244,5 @@
                                     <!--<form action="<?php echo base_url();?>frontend/user/packageRegister"  class="form-horizontal" id="package_register"> -->
                                     <form action="<?php echo base_url();?>frontend/user/packageRegister" method="POST" class="form-horizontal" id="package_register">
-                                        <h4 class="header blue bolder smaller">ThÃŽng tin dá»ch vá»¥ <a style="float:right;" onclick="regisHistory(<?php echo $us_id; ?>, 1);" data-toggle="modal"><i class="icon-archive"></i> Lá»ch sá»­ ÄÄng kÃœ dá»ch vá»¥</a></h4>
+                                        <h4 class="header blue bolder smaller">ThÃŽng tin dá»ch vá»¥ &nbsp;&nbsp;&nbsp;<a onclick="regisHistory(<?php echo $us_id; ?>, 1);" data-toggle="modal"><i class="icon-archive"></i> Lá»ch sá»­ ÄÄng kÃœ dá»ch vá»¥</a></h4>
 										<div class="col-sm-6">
                                             <h4><b>Thá»i háº¡n sá»­ dá»¥ng</b></h4> <h3><b><span class="blue"><?php echo isset($expire_date) && strtotime($expire_date)>0 ? date('d/m/Y', strtotime($expire_date)) : '';?> </span></b></h3>
Index: pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 642)
+++ pro-violet-viettel/sourcecode/application/modules/services/models/services_model.php	(revision 643)
@@ -12,5 +12,4 @@
 
 if ( ! defined('_SBG_MO_SYNTAX_ERR')) define('_SBG_MO_SYNTAX_ERR', -1);
-if ( ! defined('_SBG_MO_SYNTAX_ERR_MSG')) define('_SBG_MO_SYNTAX_ERR_MSG', 'SBG Online khong co dich vu nay, ban vui long kiem tra lai. Tran trong.');
 
 if ( ! defined('_SBG_CARD_PAY_FAIL')) define('_SBG_CARD_PAY_FAIL', -1);
@@ -30,8 +29,4 @@
 if ( ! defined('_SBG_CHARGING_GENERAL_ERROR')) define('_SBG_CHARGING_GENERAL_ERROR', 440);
 if ( ! defined('_SBG_CHARGING_NUMBER_NOT_REGISTED')) define('_SBG_CHARGING_NUMBER_NOT_REGISTED', 501);
-
-if ( ! defined('_SBG_CHARGING_FAIL_NOT_ENOUGH_MSG')) define('_SBG_CHARGING_FAIL_NOT_ENOUGH_MSG', 'Tai khoan chinh cua ban khong du de thuc hien nap :amount: vao tai khoan :username: tren SBG Online.');
-if ( ! defined('_SBG_CHARGING_FAIL_MORETHAN_LIMIT_MSG')) define('_SBG_CHARGING_FAIL_MORETHAN_LIMIT_MSG', 'So tien nap lon nhat tren SBG Online la 50.000VND.');
-if ( ! defined('_SBG_CHARGING_FAIL_NOT_VIETTEL_MSG')) define('_SBG_CHARGING_FAIL_NOT_VIETTEL_MSG', 'Chuc nang nap tien qua SMS cua SBG Online chi ap dung cho thue bao Viettel');
 
 if ( ! defined('_SBG_SEND_MT_FAIL')) define('_SBG_SEND_MT_FAIL', -1);
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 642)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 643)
@@ -38,4 +38,6 @@
 			{
 				cursor: pointer;
+				font-size: 13px;
+				font-weight: normal;
 			}
 		</style>