Index: pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/actions/actions.class.php
===================================================================
--- pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/actions/actions.class.php	(revision 681)
+++ pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/actions/actions.class.php	(revision 682)
@@ -158,4 +158,5 @@
 
   public function executeDir() {
+      echo "123";die();
   	$this->catId = $this->getRequestParameter('id', -1);
     $userId = $this->getRequestParameter('userid');
Index: pro-violet-viettel/sourcecode/application/config/config.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/config.php	(revision 681)
+++ pro-violet-viettel/sourcecode/application/config/config.php	(revision 682)
@@ -409,4 +409,5 @@
 $config['6'] = 70000;
 $config['12'] = 130000;
+$config['api_url'] = 'http://api.violet.vn/';
 
 /* End of file config.php */
Index: pro-violet-viettel/sourcecode/application/config/database.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/database.php	(revision 681)
+++ pro-violet-viettel/sourcecode/application/config/database.php	(revision 682)
@@ -46,11 +46,11 @@
 */
 
-$active_group = 'default'; 
+$active_group = 'default';  
 $active_record = TRUE; 
 
 $db['default']['hostname'] = 'mysql:host=127.0.0.1';
-$db['default']['username'] = 'sbg';//sbg
-$db['default']['password'] = 'sbg~~!!@@123';//sbg~~!!@@123
-$db['default']['database'] = 'sbg';
+$db['default']['username'] = 'root';//sbg
+$db['default']['password'] = 'Quyenhue@123';//sbg~~!!@@123
+$db['default']['database'] = 'violet-viettel';
 $db['default']['dbdriver'] = 'pdo';
 $db['default']['dbprefix'] = '';
@@ -82,4 +82,5 @@
 $db['default']['stricton'] = FALSE;*/
 
+
 /* End of file database.php */
 /* Location: ./application/config/database.php */
Index: pro-violet-viettel/sourcecode/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/ajax/controllers/privatecontent.php	(revision 681)
+++ pro-violet-viettel/sourcecode/application/modules/ajax/controllers/privatecontent.php	(revision 682)
@@ -40,5 +40,7 @@
 	public function getContent () {
 		$xmlData = $this->vservices->getPrivateTree();
+                echo $xmlData;die(); 
 		$this->xml->parse($xmlData);
+                
 		$aryDirs = array();
 		$aryFiles = array();
Index: pro-violet-viettel/sourcecode/assets/js/filemanager/filemanager.js
===================================================================
--- pro-violet-viettel/sourcecode/assets/js/filemanager/filemanager.js	(revision 681)
+++ pro-violet-viettel/sourcecode/assets/js/filemanager/filemanager.js	(revision 682)
@@ -17,5 +17,5 @@
 			var dirTreeHeight = scrHeght - $('#title-bar').height() - $('#tools-bar').height() - $('#status-bar').height() - 2;
 
-			$('#directory-view-container').height(dirTreeHeight);
+			$('#uploaddirectory-view-container').height(dirTreeHeight);
 			$('#directory-content-view-container').height(dirTreeHeight);
 			$('#directory-content-view-container').width('calc(100% - ' + ($('#directory-view-container').width() + 8) + 'px)');
Index: pro-violet-viettel/sourcecode/assets/js/manager.js
===================================================================
--- pro-violet-viettel/sourcecode/assets/js/manager.js	(revision 681)
+++ pro-violet-viettel/sourcecode/assets/js/manager.js	(revision 682)
@@ -424,6 +424,50 @@
                                 label: "Táº£i lÃªn",
                                 className: "btn btn-primary",
-                                callback: function () {
-
+                                callback: function (result) {
+                                 
+                                    if (result) {
+                                        var delobj = JSON.stringify(item);
+                                        var postdata = {delobj: delobj};
+                                        var script = 'delete';
+                                        sendCommand({
+                                            postdata: postdata,
+                                            script: script,
+                                            callbackSuccess: function (parseData) {
+                                                if ($(parseData.DIRECTORIES).length > 0) {
+                                                    $(parseData.DIRECTORIES).each(function (index) {
+                                                        o.oTree.deletion(this);
+                                                        o.oGrid.deletion(this, 'directory');
+                                                    });
+                                                }
+
+                                                if ($(parseData.FILES).length > 0) {
+                                                    $(parseData.FILES).each(function (index) {
+                                                        var file = o.data.FILES[searchItemByID(this, 'file')];
+                                                        o.oGrid.deletion(this, file.minetype);
+                                                    });
+                                                }
+                                            },
+                                            callbackDone: function (obj) {
+                                                if ($(parseData.DIRECTORIES).length > 0) {
+                                                    $(parseData.DIRECTORIES).each(function (index) {
+                                                        delete o.data.DIRECTORIES[searchItemByID(this, 'directory')];
+                                                    });
+                                                }
+
+                                                if ($(parseData.FILES).length > 0) {
+                                                    $(parseData.FILES).each(function (index) {
+                                                        delete o.data.FILES[searchItemByID(this, 'file')];
+                                                    });
+                                                }
+
+                                                o.oTree.setData(o.data.DIRECTORIES);
+                                                o.oGrid.setData(o.data);
+                                                self.setTreeCurrentNode(parentID);
+                                                o.oGrid.reloadGrid();
+                                            },
+                                            callbackFail: function () {
+                                            }
+                                        });
+                                    }
                                 }
                             },
@@ -444,5 +488,5 @@
                     });
                     $('#upload').fileupload({
-                         dropZone: $('#drop'),
+                        dropZone: $('#drop'),
                         add: function (e, data) {
 
@@ -761,4 +805,5 @@
                     else {
                         //execute or preview file
+                          alert(JSON.stringify(node, null, 4));
                     }
                 };