Index: pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/actions/actions.class.php
===================================================================
--- pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/actions/actions.class.php	(revision 691)
+++ pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/actions/actions.class.php	(revision 692)
@@ -157,7 +157,6 @@
   }
 
-  public function executeDir() {
-      echo "123";die();
-  	$this->catId = $this->getRequestParameter('id', -1);
+  public function executeDir() { 
+    $this->catId = $this->getRequestParameter('id', -1);
     $userId = $this->getRequestParameter('userid');
     $filter = $this->getRequestParameter('filter');
Index: pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/templates/dirSuccess.php
===================================================================
--- pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/templates/dirSuccess.php	(revision 691)
+++ pro-violet-viettel/sourcecode/api.violet.vn/www/apps/platform/modules/space/templates/dirSuccess.php	(revision 692)
@@ -9,5 +9,11 @@
   <filelist>
   <?php foreach ($tblfiles as $tblfile): ?>
-    <file fileurl="<?php echo $tblfile->getFileId()?>" id="<?php echo $tblfile->getFileId() ?>" parentid="<?php echo $tblfile->getFileCategory() ?>" filetype="<?php echo $tblfile->getFileType() ?>"><?php echo $tblfile->getFileName() ?></file>
+      <?php
+      $tblres = TblspacefilePeer::retrieveByPk($tblfile->getFileId())->getTblspaceresource();
+      $fileName = $tblres->getFullFilename();
+      $fileName=  str_replace("/home/www/web", "http://api.violet.vn", $fileName);
+    
+      ?> 
+    <file  fileurl="<?php echo $fileName?>" id="<?php echo $tblfile->getFileId() ?>" parentid="<?php echo $tblfile->getFileCategory() ?>" filetype="<?php echo $tblfile->getFileType() ?>"><?php echo $tblfile->getFileName() ?></file>
   <?php endforeach; ?> 
   </filelist>
Index: pro-violet-viettel/sourcecode/assets/js/grid.js
===================================================================
--- pro-violet-viettel/sourcecode/assets/js/grid.js	(revision 691)
+++ pro-violet-viettel/sourcecode/assets/js/grid.js	(revision 692)
@@ -19,10 +19,18 @@
 				if( node.showContextMenu == undefined ) node.showContextMenu = true;
 				
+                                
 				var icon = (node.item.minetype != undefined) ? 'icon-' + node.item.minetype: 'icon-directory';
 				var type = (node.item.minetype != undefined) ? node.item.minetype: 'directory';
-				var div = $('<div></div>',{'class':icon});
-				
+				var thumb="";
+                                if($.inArray( type, [ "jpg", "jpeg", "png", "bmp"])>=0)
+                                {
+                                     thumb = '<img style=\'height:40px\' src='+node.item.fileurl+' />';    
+                                }
+                                var div = $('<div>'+thumb+'</div>',{'class':icon});
+				
+                                
 				var inputID = $('<input />',{'class':'id', type:'hidden',value:node.item.id});
 				var inputName = $('<input />',{'class':'name',type:'hidden',value:node.item.name});
+                                var inputName = $('<input />',{'class':'fileurl',type:'hidden',value:node.item.fileurl});
 				var inputParent = $('<input />',{'class':'parentID',type:'hidden',value:node.item.parentID});
 				var inputType = $('<input />',{'class':'type',type:'hidden',value:type});				
@@ -38,4 +46,5 @@
 			
 			var bindNodeEvents = function (node) {
+                        
 				var disabledItemsList = null;
 				var menuName = '';
@@ -69,6 +78,8 @@
 			
 			var nodeDblClick = function (node) {
+                           
 				var nodeObj = {id:$(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="id"]').val(),
-							name: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="name"]').val(),
+				fileurl: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="fileurl"]').val(),			
+                                name: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="name"]').val(),
 							parentID: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="parentID"]').val(),
 							minetype: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="type"]').val()};